精华内容
下载资源
问答
  • SSM整合常用pom依赖

    2019-07-25 22:12:15
    SSM整合常用pom依赖 简单整理一下整合ssm时常用的pom依赖 <project xmlns=...

    SSM整合常用pom依赖

    简单整理一下整合ssm时常用的pom依赖

    <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
      <modelVersion>4.0.0</modelVersion>
      <groupId>com.lanqiao</groupId>
      <artifactId>MavenSsm01</artifactId>
      <version>0.0.1-SNAPSHOT</version>
      <packaging>war</packaging>
       <!-- 集中定义依赖版本号 -->
    	<properties>
    		<junit.version>4.12</junit.version>
    		<spring.version>4.2.4.RELEASE</spring.version>
    		<mybatis.version>3.2.8</mybatis.version>
    		<mybatis.spring.version>1.2.3</mybatis.spring.version>
    		<mysql.version>5.1.32</mysql.version>
    		<druid.version>1.0.9</druid.version>
    		<jstl.version>1.2</jstl.version>
    		<standard.version>1.1.2</standard.version>
    		<servlet-api.version>2.5</servlet-api.version>
    		<jsp-api.version>2.0</jsp-api.version>
    		<commons-lang3.version>3.3.2</commons-lang3.version>
    		<commons-io.version>1.3.2</commons-io.version>
    		<common-fileupload.version>1.3.1</common-fileupload.version>
    		<commons-net.version>3.3</commons-net.version>
    		<jackson.version>2.4.2</jackson.version>
    	</properties>
    
    	<dependencies>
    		
    		<!-- 单元测试 -->
    		<dependency>
    			<groupId>junit</groupId>
    			<artifactId>junit</artifactId>
    			<version>${junit.version}</version>
    			<scope>test</scope>
    		</dependency>
    		<!-- Apache工具组件 -->
    		<dependency>
    			<groupId>org.apache.commons</groupId>
    			<artifactId>commons-lang3</artifactId>
    			<version>${commons-lang3.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.apache.commons</groupId>
    			<artifactId>commons-io</artifactId>
    			<version>${commons-io.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>commons-fileupload</groupId>
    			<artifactId>commons-fileupload</artifactId>
    			<version>${common-fileupload.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>commons-net</groupId>
    			<artifactId>commons-net</artifactId>
    			<version>${commons-net.version}</version>
    		</dependency>
    		<!-- Mybatis -->
    		<dependency>
    			<groupId>org.mybatis</groupId>
    			<artifactId>mybatis</artifactId>
    			<version>${mybatis.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.mybatis</groupId>
    			<artifactId>mybatis-spring</artifactId>
    			<version>${mybatis.spring.version}</version>
    		</dependency>
    		<!-- MySql -->
    		<dependency>
    			<groupId>mysql</groupId>
    			<artifactId>mysql-connector-java</artifactId>
    			<version>${mysql.version}</version>
    		</dependency>
    		<!-- 连接池 -->
    		<dependency>
    			<groupId>com.alibaba</groupId>
    			<artifactId>druid</artifactId>
    			<version>${druid.version}</version>
    		</dependency>
    		<!-- Jackson Json处理工具包 -->
    		<dependency>
    			<groupId>com.fasterxml.jackson.core</groupId>
    			<artifactId>jackson-databind</artifactId>
    			<version>${jackson.version}</version>
    		</dependency>
    		<!-- Spring -->
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-context</artifactId>
    			<version>${spring.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-beans</artifactId>
    			<version>${spring.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-webmvc</artifactId>
    			<version>${spring.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-jdbc</artifactId>
    			<version>${spring.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-aspects</artifactId>
    			<version>${spring.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-jms</artifactId>
    			<version>${spring.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-context-support</artifactId>
    			<version>${spring.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-core</artifactId>
    			<version>${spring.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>org.springframework</groupId>
    			<artifactId>spring-tx</artifactId>
    			<version>${spring.version}</version>
    		</dependency>
    		<!-- JSP相关 -->
    		<dependency>
    			<groupId>jstl</groupId>
    			<artifactId>jstl</artifactId>
    			<version>${jstl.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>taglibs</groupId>
    			<artifactId>standard</artifactId>
    			<version>${standard.version}</version>
    		</dependency>
    		<dependency>
    			<groupId>javax.servlet</groupId>
    			<artifactId>servlet-api</artifactId>
    			<version>${servlet-api.version}</version>
    			<scope>provided</scope>
    		</dependency>
    		<dependency>
    			<groupId>javax.servlet</groupId>
    			<artifactId>jsp-api</artifactId>
    			<version>${jsp-api.version}</version>
    			<scope>provided</scope>
    		</dependency>
    	</dependencies>
    	
    	<!-- 插件的配置 -->
    	<build>
    		<finalName>${project.artifactId}</finalName>
    		<plugins>
    			<!-- 资源文件拷贝插件 -->
    			<plugin>
    				<groupId>org.apache.maven.plugins</groupId>
    				<artifactId>maven-resources-plugin</artifactId>
    				<version>2.7</version>
    				<configuration>
    					<encoding>UTF-8</encoding>
    				</configuration>
    			</plugin>
    			<!-- java编译插件 -->
    			<plugin>
    				<groupId>org.apache.maven.plugins</groupId>
    				<artifactId>maven-compiler-plugin</artifactId>
    				<version>3.2</version>
    				<configuration>
    					<source>1.8</source>
    					<target>1.8</target>
    					<encoding>UTF-8</encoding>
    				</configuration>
    			</plugin>
    			<!-- tomcat插件 -->
    			<plugin>
    				<groupId>org.apache.tomcat.maven</groupId>
    				<artifactId>tomcat7-maven-plugin</artifactId>
    				<configuration>
    					<!-- tomcat端口号 -->
    					<port>8085</port>
    					<!-- 项目访问路径 -->
    					<path>/</path>
    				</configuration>
    			</plugin>
    			
    		</plugins>
    	</build>
    </project>
    
    展开全文
  • <dependency> <groupId>com.alibaba</groupId> <artifactId>druid</artifactId> <version>1.1.23</version> </dependency>
  • 简单springmvc 工程pom依赖

    千次阅读 2020-05-09 20:42:19
    简单springmvc 工程pom依赖 <?xml version="1.0" encoding="UTF-8"?> 4.0.0 com.qin springmvc_test 1.0-SNAPSHOT war springmvc_test Maven Webapp http://www.example.com org.mybatis mybatis...

    简单springmvc 工程pom依赖

    <?xml version="1.0" encoding="UTF-8"?>


    4.0.0

    com.qin
    springmvc_test
    1.0-SNAPSHOT
    war

    springmvc_test Maven Webapp

    http://www.example.com

    org.mybatis mybatis 3.4.6 org.mybatis mybatis-spring 1.3.2 org.postgresql postgresql ${postgresql.version} com.alibaba druid ${druid.version}
    <!--servlet相关依赖 begin-->
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>javax.servlet-api</artifactId>
      <version>3.1.0</version>
    </dependency>
    
    <dependency>
      <groupId>javax.servlet.jsp</groupId>
      <artifactId>jsp-api</artifactId>
      <version>2.2</version>
      <scope>provided</scope>
    </dependency>
    <!--servlet相关依赖 end-->
    
    <!--   JSTL(JSP Standard Tag Library),JSP标准标签库,可以嵌入在jsp页面中使用标签的形式完成业务逻辑等功能。
    

    jstl出现的目的同el一样也是要代替jsp页面中的脚本代码。JSTL标准标签库有5个子库,但随着发展,目前常使用的是他的核心库。–>


    jstl
    jstl
    1.2

    <!--spring 相关 start -->
    <!--spring core-->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-core</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!--spring web -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-web</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!--spring bean -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-beans</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!--spring context-->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!--spring context support-->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-context-support</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!--spring-tx -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-tx</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!-- spring-webmvc -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-webmvc</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!-- spring-orm -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-orm</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!-- spring-aop -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aop</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!-- spring-aspects -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-aspects</artifactId>
      <version>${spring.version}</version>
    </dependency>
    <!-- spring-expression -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-expression</artifactId>
      <version>${spring.version}</version>
    </dependency>
    <!-- spring-instrument -->
    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-instrument</artifactId>
      <version>${spring.version}</version>
    </dependency>
    <!--没有这个包,创建datasoure报错
    

    Property ‘dataSource’ threw exception; nested exception is java.lang.NoClassDefFoundError: org/springframework/jdbc/datasource/TransactionAwareDataSourceProxy–>

    org.springframework
    spring-jdbc
    ${spring.version}

    <dependency>
      <groupId>org.springframework</groupId>
      <artifactId>spring-test</artifactId>
      <version>${spring.version}</version>
    </dependency>
    
    <!--spring 相关 end -->
    
    <!--junit 4-->
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.11</version>
      <scope>test</scope>
    </dependency>
    
    springmvc_test src/main/resources src/main/java **/*.java src/main/webapp maven-clean-plugin 3.1.0 maven-resources-plugin 3.0.2 maven-compiler-plugin 3.8.0 maven-surefire-plugin 2.22.1 maven-war-plugin 3.2.2 maven-install-plugin 2.5.2 maven-deploy-plugin 2.8.2
    展开全文
  • activiti pom依赖

    千次阅读 2014-08-12 13:50:27
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">  4.0.0  com.huaxincem.ac

    出处:https://github.com/burgleaf/activiti-demo/blob/master/pom.xml

    <?xml version="1.0" encoding="UTF-8"?>

    <project xmlns="http://maven.apache.org/POM/4.0.0"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
        <modelVersion>4.0.0</modelVersion>


        <groupId>com.huaxincem.activiti</groupId>
        <artifactId>activiti-demo</artifactId>
        <version>1.0-SNAPSHOT</version>
        <packaging>war</packaging>


        <!-- 项目属性 -->
        <properties>
            <jdk.version>1.6</jdk.version>
            <spring.version>3.1.2.RELEASE</spring.version>
            <hibernate.version>4.1.4.Final</hibernate.version>
            <spring-data-jpa.version>1.3.4.RELEASE</spring-data-jpa.version>
            <commons-dbcp.version>1.4</commons-dbcp.version>
            <ehcache.version>2.5.2</ehcache.version>
            <jackson.version>2.0.4</jackson.version>
            <spymemcached.version>2.8.1</spymemcached.version>
            <guava.version>12.0</guava.version>
            <commons-lang3.version>3.1</commons-lang3.version>
            <commons-io.version>2.4</commons-io.version>
            <joda-time.version>2.1</joda-time.version>
            <slf4j.version>1.6.6</slf4j.version>
            <log4j.version>1.2.17</log4j.version>
            <jetty.version>8.1.10.v20130312</jetty.version>
            <h2.version>1.3.173</h2.version>
            <junit.version>4.10</junit.version>
            <mockito.version>1.9.0</mockito.version>
            <powermock.version>1.4.12</powermock.version>
            <activiti.version>5.13</activiti.version>
            <activiti.engine.version>5.13</activiti.engine.version>
            <mybatis.version>3.1.1</mybatis.version>


        </properties>




        <!-- 依赖项定义 -->
        <dependencies>
            <!-- activiti -->
            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-engine</artifactId>
                <version>${activiti.engine.version}</version>
            </dependency>
            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-spring</artifactId>
                <version>${activiti.version}</version>
            </dependency>


            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-explorer</artifactId>
                <version>${activiti.version}</version>
                <exclusions>
                    <exclusion>
                        <artifactId>vaadin</artifactId>
                        <groupId>com.vaadin</groupId>
                    </exclusion>
                    <exclusion>
                        <artifactId>dcharts-widget</artifactId>
                        <groupId>org.vaadin.addons</groupId>
                    </exclusion>
                    <exclusion>
                        <artifactId>activiti-simple-workflow</artifactId>
                        <groupId>org.activiti</groupId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.activiti</groupId>
                <artifactId>activiti-modeler</artifactId>
                <version>${activiti.version}</version>
            </dependency>


            <!-- 支持activiti缓存 -->
            <dependency>
                <groupId>org.infinispan</groupId>
                <artifactId>infinispan-core</artifactId>
                <version>5.1.7.Final</version>
            </dependency>


            <!-- Jackson JSON Mapper -->
            <!-- SpringMVC的@ResponseBody需要使用 -->
            <dependency>
                <groupId>org.codehaus.jackson</groupId>
                <artifactId>jackson-mapper-asl</artifactId>
                <version>1.9.7</version>
            </dependency>


            <!-- UTILS -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons-io.version}</version>
            </dependency>
            <dependency>
                <groupId>commons-fileupload</groupId>
                <artifactId>commons-fileupload</artifactId>
                <version>1.2.2</version>
            </dependency>


            <!-- SPRING begin -->
            <!-- spring basic -->
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-core</artifactId>
                <version>${spring.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>commons-logging</groupId>
                        <artifactId>commons-logging</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-beans</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-context</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-context-support</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-aop</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.aspectj</groupId>
                <artifactId>aspectjrt</artifactId>
                <version>1.6.9</version>
            </dependency>
            <dependency>
                <groupId>org.aspectj</groupId>
                <artifactId>aspectjweaver</artifactId>
                <version>1.6.9</version>
            </dependency>
            <dependency>
                <groupId>cglib</groupId>
                <artifactId>cglib</artifactId>
                <version>2.2.2</version>
            </dependency>
            <dependency>
                <groupId>asm</groupId>
                <artifactId>asm</artifactId>
                <version>3.3.1</version>
            </dependency>
            <!-- SPRING end -->




            <!-- spring data access -->
            <dependency>
                <groupId>org.springframework.data</groupId>
                <artifactId>spring-data-jpa</artifactId>
                <version>${spring-data-jpa.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>junit</groupId>
                        <artifactId>junit-dep</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-orm</artifactId>
                <version>${spring.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-jdbc</artifactId>
                <version>${spring.version}</version>
            </dependency>


            <!-- dbcp connection pool -->
            <dependency>
                <groupId>commons-dbcp</groupId>
                <artifactId>commons-dbcp</artifactId>
                <version>${commons-dbcp.version}</version>
            </dependency>




            <!-- PERSISTENCE end -->


            <!-- WEB begin -->
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-webmvc</artifactId>
                <version>${spring.version}</version>
            </dependency>


            <dependency>
                <groupId>javax.servlet</groupId>
                <artifactId>jstl</artifactId>
                <version>1.2</version>
            </dependency>


            <dependency>
                <groupId>javax.servlet</groupId>
                <artifactId>servlet-api</artifactId>
                <version>2.5</version>
                <scope>provided</scope>
            </dependency>
            <!-- WEB end -->


            <!-- CACHE -->
            <dependency>
                <groupId>net.sf.ehcache</groupId>
                <artifactId>ehcache-core</artifactId>
                <version>${ehcache.version}</version>
            </dependency>


            <!-- LOGGING begin -->
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>${slf4j.version}</version>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-log4j12</artifactId>
                <version>${slf4j.version}</version>
            </dependency>
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>jcl-over-slf4j</artifactId>
                <version>${slf4j.version}</version>
            </dependency>
            <dependency>
                <groupId>log4j</groupId>
                <artifactId>log4j</artifactId>
                <version>${log4j.version}</version>
            </dependency>
            <!-- LOGGING end -->


            <!-- GENERAL UTILS begin -->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>${commons-lang3.version}</version>
            </dependency>
            <dependency>
                <groupId>commons-beanutils</groupId>
                <artifactId>commons-beanutils</artifactId>
                <version>1.8.3</version>
                <exclusions>
                    <exclusion>
                        <groupId>commons-logging</groupId>
                        <artifactId>commons-logging</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>


            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>${guava.version}</version>
            </dependency>
            <dependency>
                <groupId>org.jodd</groupId>
                <artifactId>jodd</artifactId>
                <version>3.3.2</version>
            </dependency>
            <dependency>
                <groupId>joda-time</groupId>
                <artifactId>joda-time</artifactId>
                <version>${joda-time.version}</version>
            </dependency>


            <!-- UUID -->
            <dependency>
                <groupId>com.fasterxml.uuid</groupId>
                <artifactId>java-uuid-generator</artifactId>
                <version>3.1.3</version>
            </dependency>
            <!-- GENERAL UTILS end -->


            <!-- TEST begin -->
            <dependency>
                <groupId>junit</groupId>
                <artifactId>junit</artifactId>
                <version>${junit.version}</version>
                <scope>test</scope>
            </dependency>


            <dependency>
                <groupId>org.mockito</groupId>
                <artifactId>mockito-core</artifactId>
                <version>${mockito.version}</version>
                <scope>test</scope>
            </dependency>


            <dependency>
                <groupId>org.powermock</groupId>
                <artifactId>powermock-module-junit4</artifactId>
                <version>${powermock.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.powermock</groupId>
                <artifactId>powermock-api-mockito</artifactId>
                <version>${powermock.version}</version>
                <scope>test</scope>
                <exclusions>
                    <exclusion>
                        <groupId>org.mockito</groupId>
                        <artifactId>mockito-all</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>


            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-test</artifactId>
                <version>${spring.version}</version>
            </dependency>


            <!--  数据源  -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid</artifactId>
                <version>0.2.18</version>
            </dependency>


            <!-- MySQL -->
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>5.1.25</version>
                <scope>runtime</scope>
            </dependency>


            <!-- mybatis -->
            <dependency>
                <groupId>org.mybatis</groupId>
                <artifactId>mybatis</artifactId>
                <version>${mybatis.version}</version>
            </dependency>
            <dependency>
                <groupId>org.mybatis</groupId>
                <artifactId>mybatis-spring</artifactId>
                <version>1.1.1</version>
            </dependency>




            <dependency>
                <groupId>org.dbunit</groupId>
                <artifactId>dbunit</artifactId>
                <version>2.4.8</version>
            </dependency>


            <!-- jetty -->
            <dependency>
                <groupId>org.eclipse.jetty.aggregate</groupId>
                <artifactId>jetty-webapp</artifactId>
                <version>${jetty.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.eclipse.jetty</groupId>
                <artifactId>jetty-jsp</artifactId>
                <version>${jetty.version}</version>
                <scope>test</scope>
            </dependency>
            <!-- TEST end -->
        </dependencies>




        
    </project>
    展开全文
  • Spring Boot pom依赖示例

    2021-03-14 09:36:52
    Spring Boot pom依赖示例 打包跳过测试 <properties> <java.version>1.8</java.version> <skipTests>true</skipTests> </properties> dependencies <dependency> ...

    Spring Boot pom依赖示例

    打包跳过测试

    <properties>
            <java.version>1.8</java.version>
            <skipTests>true</skipTests>
    </properties>
    

    dependencies

    <dependency>
    	<groupId>org.springframework.boot</groupId>
    	<artifactId>spring-boot-starter-web</artifactId>
    </dependency>
    <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-actuator</artifactId>
    </dependency>
    
    <!-- fastjson -->
    <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>fastjson</artifactId>
        <version>1.2.57</version>
    </dependency>
    <!-- fastjson -->
    
    <!-- Druid -->
    <dependency>
        <groupId>com.alibaba</groupId>
        <artifactId>druid</artifactId>
        <version>1.1.19</version>
    </dependency>
    <!-- Druid -->
    
    <!-- mysql -->
    <dependency>
        <groupId>mysql</groupId>
        <artifactId>mysql-connector-java</artifactId>
    </dependency>
    <!-- mysql -->
    
    <dependency>
        <groupId>com.oracle</groupId>
        <artifactId>ojdbc6</artifactId>
        <version>11.2.0.3</version>
    </dependency>
    
    <!-- Redis -->
    <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-data-redis</artifactId>
    </dependency>
    
    <!-- Mybatis Plus -->
    <dependency>
        <groupId>com.baomidou</groupId>
        <artifactId>mybatis-plus-boot-starter</artifactId>
        <version>3.3.0</version>
    </dependency>
    <!-- Mybatis Plus -->
    
    <!-- lombok -->
    <dependency>
        <groupId>org.projectlombok</groupId>
        <artifactId>lombok</artifactId>
        <optional>true</optional>
    </dependency>
    <!-- lombok -->
    
    展开全文
  • IDEA微服务父类工程pom依赖 <?xml version="1.0" encoding="UTF-8"?> <project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation=...
  • SSM配置文件及pom依赖

    2020-02-13 13:31:56
    pom依赖 <!--Servlet的依赖--> <dependency> <groupId>javax.servlet</groupId> <artifactId>javax.servlet-api</artifactId> <version>3.1.0</vers...
  • spring中常用的pom依赖

    2020-03-30 09:55:16
    在开发过程中积累的pom依赖,记录下来分享给大家 <!--常用的工具类--> <dependency> <groupId>commons-io</groupId> <artifactId>commons-io</artifactId> &...
  • Java:常用pom依赖集合

    千次阅读 2019-03-05 10:44:57
    -- ②利用pom配置jdk1.8版本 --> < plugin > < groupId > org.apache.maven.plugins groupId > < artifactId > maven-compiler-plugin artifactId > < configuration > < source > ...
  • <!-- https://mvnrepository.com/artifact/com.alibaba/druid --> <dependency> <groupId>...druid</artifactId> <version>1.2.6</version> </dependency>
  • Druid连接池 Driver驱动 <!--数据库相关--> <dependency> <groupId>tk.mybatis</groupId> <artifactId>mapper-spring-boot-starter</artifactId> <version>...
  • SpringBoot+Mybatis+MySQL的pom依赖

    千次阅读 2019-12-28 16:52:40
    project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0...
  • 在父工程添加依赖 01 打开 父工程 的pom文件 02 根据安装的包, 进行如下配置: 4.0.0 pom <modules> <module>management-java</module> <module>management-python</module> <...
  • webmvc ${spring.version} javax.servlet javax.servlet-api 4.0.1 jstl jstl 1.2 org.aspectj aspectjrt 1.6.12 org.aspectj aspectjweaver 1.6.12 com.alibaba druid 1.1.16 org.mybatis mybatis-spring 1.3.0 org...
  • Thymeleaf、MyBatis-plus 等常用pom引用 Thymeleaf模板引擎 <dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-starter-thymeleaf</artifactId> &...
  • 01 打开 子项目 mapper 的 pom文件 02 进行如下配置 TecelPlan com.glodon 1.0-SNAPSHOT 4.0.0 management-mapper com.glodon management-pojo 1.0-SNAPSHOT org.mybatis mybatis org.mybatis mybatis-...
  • cn.com.vicente.demo: debug 或者 mybatis-plus: configuration: log-impl: org.apache.ibatis.logging.stdout.StdOutImpl jsp访问配置 spring: mvc: view: prefix: /WEB-INF/test/ suffix: .jsp 需要的pom.xml依赖 ...
  • <dependency> <groupId>com.alibaba</groupId> <artifactId>druid</artifactId> <version>1.1.23</version> </dependency>
  • pom的一些依赖

    2021-09-01 17:09:36
    目录一、指定版本号二、pom中需要的依赖1.Springmvc依赖2.mybatis-plus依赖3.springboot测试依赖4.druid连接池依赖5.mysql依赖6.工具类依赖7.缓存依赖7.1缓存支持启动器7.2 Ehcache 坐标8.excel导出依赖9.POI报表...
  • 在连接alibaba.druid数据库连接池时,报红线错误。 此时,在pom.xml文件中已经存在依赖: 解决方案:将druid依赖版本改为1.1.13错误就会消失。这可能是版本不一致导致的兼容性问题。
  • druid是不是依赖于Jdbc的,但是点开pom文件发现,druid依赖里并没有jdbc的依赖,但是整个pom里边又没有Jdbc的依赖,后来发现jdbc的依赖在mybatis里,由此可见Druid也是依赖于jdbc的,查实资料发现连接池只是对jdbc...
  • Druid是一个JDBC组件,它包括三部分: DruidDriver 代理Driver,能够提供基于Filter-Chain模式的插件体系。 DruidDataSource 高效可管理的数据库连接池。 SQLParser 2. 配置说明: 配置 缺省值 ...
  • -- 事务管理器,依赖于数据源 --> <!-- 编写通知:对事务进行增强(通知),需要编写对切入点和具体执行事务细节 --> <!-- 为切入点方法添加事务详情 name:方法名,*表示任意方法名称 propagation:...
  • oracle6与oracle14,pom.xml文件依赖包,直接放入本地仓库即可使用
  • pom文件 <dependency> <groupId>com.alibaba</groupId> <artifactId>druid-spring-boot-starter</artifactId> <version>1.1.17</version> </dependency> yaml...
  • cat-client: 2.0.0 (后续会开源对cat-client的spring-boot改造,使其不再依赖/data目录) druid: 1.0.18 dbcp: 1.4 使用步骤: 首先感谢大众点评的开源奉献。 进入cat的源项目: , 按照cat官方的教程打包、部署cat,...
  • springcloud pom常用依赖

    千次阅读 2020-11-17 18:44:25
    configuration> plugin> plugins> build> swagger pom依赖 <dependency> <groupId>io.springfoxgroupId> <artifactId>springfox-swagger2artifactId> <version>2.7.0version> dependency> <dependency> <groupId>io....
  • Maven项目:Druid1.1.10 此前Druid为版本1.0.20,项目会报 java.sql.SQLException: validateConnection false 详细信息见: https://blog.csdn.net/BADAO_LIUMANG_QIZHI/article/details...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 19,410
精华内容 7,764
热门标签
关键字:

druid的pom依赖